首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
V2EX  ›  PHP

YII2.1 貌似做了很多不向下兼容的改动

  •  
  •   Outshine · 2015-12-20 20:01:26 +08:00 · 3321 次点击
    这是一个创建于 1399 天前的主题,其中的信息可能已经有所发展或是发生改变。

    这些改进还是很值得期待的:
    移除了所有 bootstrap extension (这个后台可能会用到,但是前台现在流行 anglarjs 和 vuejs ,所以比较鸡肋)
    使用.env 来做配置
    更加解藕
    兼容 psr - 7
    参数注入
    移动 Yii::getAlias()等帮助函数到相应帮助类(比如 FileHelper::getAlias())
    删除了 fxp composer plugin 插件
    另外也不会生成 javascript 代码了(包括表单验证代码)

    然后要求 php5.5 或者更高。。。

    更多请点击:
    https://github.com/yiisoft/yii2/wiki/Ideas-for-2.1

    7 回复  |  直到 2015-12-21 16:52:10 +08:00
        1
    foccy   2015-12-20 21:28:40 +08:00
    虽然自动生成 js 表单验证挺方便的,不过个人感觉应该和 js 更分开一点。现在公司的项目 Yii2 配置在用.env ,当然是先从 laravel 接触到的。
        2
    suxiaolin   2015-12-21 10:49:36 +08:00
    很好,做了这些改进, yii 用起来就不辣么奇葩了。
        3
    CTO   2015-12-21 11:17:24 +08:00
    用 yii2 和 lar 溜的飞起
        4
    flydogs   2015-12-21 11:28:27 +08:00 via iPhone
    期待
        5
    Outshine   2015-12-21 13:48:22 +08:00
    @suxiaolin YII 貌似算不上奇葩吧,再怎么也是排前五的 PHP 框架
        6
    Outshine   2015-12-21 13:50:08 +08:00
    @foccy 其实自动生成 js 验证挺好的,我模型的规则写好就行了,不用再动 js 。
        7
    foccy   2015-12-21 16:52:10 +08:00
    @Outshine 是挺方便的,挺好用的,功能比较全,性能也不错,不过有时候处理 js 确实怪怪的。
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   841 人在线   最高记录 5043   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 27ms · UTC 21:52 · PVG 05:52 · LAX 14:52 · JFK 17:52
    ♥ Do have faith in what you're doing.